%global drupaldir %{_datadir}/drupal7
%global prerelease 1
%global alphabeta rc

Name:      drupal7-ctools
Version:   1.0
Release:   0.1.%{alphabeta}%{prerelease}%{?dist}
Summary:   This suite is primarily a set of APIs and tools for other Drupal modules

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/ctools
Source0:   http://ftp.drupal.org/files/projects/ctools-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1:   %{name}-fedora-README.txt
Source2:   LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
This suite is primarily a set of APIs and tools
to improve the developer experience.
It also contains a module called the Page Manager whose job is to manage pages.
In particular it manages panel pages,
but as it grows it will be able to manage far more than just Panels.

For the moment, it includes the following tools:

Plug-ins -- tools to make it easy for modules
to let other modules implement plug-ins from .inc files.

Ex-portables -- tools to make it easier for modules to have objects
that live in database or live in code, such as 'default views'.

AJAX responder -- tools to make it easier for the server to handle AJAX requests
and tell the client what to do with them.

Form tools -- tools to make it easier for forms to deal with AJAX.

Object caching -- tool to make it easier to edit an object
across multiple page requests and cache the editing work.

Contexts -- the notion of wrapping objects in a unified wrapper
and providing an API to create and accept these contexts as input.

Modal dialog -- tool to make it simple to put a form in a modal dialog.

Dependent -- a simple form widget to make form items appear
and disappear based upon the selections in another item.

Content -- plug-gable content types used as panes in Panels
and other modules like Dashboard.

Form wizard -- an API to make multiple-step forms much easier.

CSS tools -- tools to cache and sanitize CSS easily to make user-input CSS safe.

%prep
%setup -qn ctools
chmod -x ctools.module

%build
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/ctools
cp -pr * %{buildroot}%{drupaldir}/modules/ctools
find %{buildroot} -size 0 -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt CHANGELOG.txt API.txt
%exclude %{drupaldir}/modules/ctools/*.txt
%{drupaldir}/modules/ctools

%changelog
* Sun Sep 11 2011 Jared Smith <jsmith@fedoraproject.org> - 1.0-0.1.rc1
- Initial version for Drupal 7
* Sat Aug 06 2011 Jared Smith <jsmith@fedoraproject.org> - 1.0-rc1
- Initial version for Drupal 7
